Subject: Re: man pages showing special characters
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Thu, 8 Apr 2010 12:10:37 +0100
List-Id: <cygwin.cygwin.com>

Durwin De La Rue:
> I have searched the archive on this with complicated results.
>
> First, I am using latest version of cygwin.  I normally use rxvt.  But after
> having this issue with it, and finding information that mintty does not have
> the issue, I started using mintty.  My first attempt to fix the issue in
> rxvt was successful (export LANG=C).  However, at some point it failed.
>  LANG is the same, but I again was getting special characters where a hyphen
> (and quotes and other punctuation)  is suppose to be.  That is when I
> started using mintty.  It worked right off no problems.  However *now* it is
> doing the same.  I have tried setting LANG and LC_ALL to en_US.utf8 but
> nothing is helping.

What character set is selected on the Text page of mintty's options?
Where are you setting LANG and LC_ALL?

I'd recommend setting the locale and character set in the mintty
options only, which automatically sets LANG accordingly. If you set
LC_ALL or LANG to something else in your shell startup files, then
mintty won't get to know about it, and you end up with a charset
mismatch between mintty and applications running in it.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple